'-----------------------------------------------------------------------
'               Copyright (C) 1991 Microsoft Corporation
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Microsoft has no warranty,
' obligations or liability for any Sample Application Files.
'
' -----------------------------------------------------------------------
DefInt A-Z
'
' Type use by the API routine InvertRect()
'
Type RECT
    Left As Integer
    Top As Integer
    Right As Integer
    bottom As Integer
End Type
'
'
' Window API Function Declarations
'
Declare Function BitBlt Lib "Gdi" (ByVal destHdc, ByVal X, ByVal Y, ByVal w, ByVal h, ByVal srcHdc, ByVal srcX, ByVal srcY, ByVal Rop As Long)
Declare Function CreateCompatibleBitmap Lib "Gdi" (ByVal hdc, ByVal w, ByVal h)
Declare Function CreateCompatibleDC Lib "Gdi" (ByVal hdc)
Declare Function DeleteDC Lib "Gdi" (ByVal hdc)
Declare Function DeleteObject Lib "Gdi" (ByVal hObject)
Declare Function ExtFloodFill Lib "Gdi" (ByVal hdc, ByVal X, ByVal Y, ByVal crColor As Long, ByVal wFillType)
Declare Function GetBitmapBits Lib "Gdi" (ByVal hBitmap, ByVal dwCount As Long, ByVal lpBits As Long) As Long
Declare Function GetDeviceCaps Lib "Gdi" (ByVal hdc, ByVal nIndex)
Declare Function GetMenu Lib "User" (ByVal hwnd)
Declare Function GetNearestColor Lib "Gdi" (ByVal hdc, ByVal RGBColor As Long) As Long
Declare Function GetPrivateProfileInt Lib "Kernel" (ByVal Appname As String, ByVal KeyName As String, ByVal DEFAULT As Integer, ByVal FileName As String)
Declare Function GetPrivateProfileString Lib "Kernel" (ByVal Appname As String, ByVal KeyName As String, ByVal DEFAULT As String, ByVal ReturnedString As String, ByVal MaxSize, ByVal FileName As String)
Declare Function GetSubMenu Lib "User" (ByVal hwnd, ByVal Position)
Declare Function GetSystemMenu Lib "User" (ByVal hwnd, ByVal bRevert)
Declare Function GlobalLock Lib "Kernel" (ByVal mMem) As Long
Declare Function GlobalUnlock Lib "Kernel" (ByVal mMem)
Declare Function InvertRect Lib "User" (ByVal hdc, lpRect As RECT)
Declare Function RemoveMenu Lib "User" (ByVal hMenu, ByVal nPosition, ByVal wFlags)
Declare Function SelectObject Lib "Gdi" (ByVal hdc, ByVal hObject)
Declare Function SetBitmapBits Lib "Gdi" (ByVal hBitmap, ByVal dwCount As Long, ByVal lpBits As Long) As Long
Declare Function StretchBlt Lib "Gdi" (ByVal destHdc, ByVal X, ByVal Y, ByVal w, ByVal h, ByVal srcHdc, ByVal srcX, ByVal srcY, ByVal srcW, ByVal srcH, ByVal Rop As Long)
Declare Function TrackPopupMenu Lib "User" (ByVal hMenu, ByVal r1, ByVal X, ByVal Y, ByVal r2, ByVal hwnd, ByVal r3 As Long)
Declare Function WinHelp Lib "User" (ByVal hwnd, ByVal HelpFile$, ByVal wCommand, ByVal dwData As Long)
Declare Function WritePrivateProfileString Lib "Kernel" (ByVal Appname As String, ByVal KeyName As String, ByVal NewString As String, ByVal FileName As String)
'
' Window API Constant Declarations
'
Global Const SRCCOPY = &HCC0020
Global Const SRCAND = &H8800C6
Global Const SRCINVERT = &H660046
Global Const BLACKNESS = &H42&
Global Const FLOODFILLSURFACE = 1
Global Const MF_BYPOSITION = &H400
Global Const BITSPIXEL = 12
Global Const HELP_CONTEXT = &H1
Global Const HELP_QUIT = &H2
Global Const HELP_HELPONHELP = &H4
'
' INI file KeyNames
'
Global Const APP_NAME = "Spelling"
Global Const KEY_COLOR = "Colors Row"
Global Const KEY_GRID = "Grid"
Global Const KEY_LINE_GRID = "Line Grid"
Global Const KEY_DOTTED_GRID = "Dotted Grid"
Global Const KEY_STATUS_BAR = "Status Bar"
Global Const KEY_TOOL_PALETTE = "Tool Palette"
Global Const KEY_COLOR_PALETTE = "Color Palette"
Global Const KEY_ZOOM_SCROLLBAR = "Zoom Scrollbar"
Global Const KEY_FOCUS = "Editor Focus"
Global Const KEY_BORDER = "Icon Border"
Global Const KEY_POPUP = "Popup Menu"
Global Const KEY_SHOW_ICONS = "Show Icons"
Global Const KEY_DEFAULT = "Default Colors"
Global Const KEY_SOLID = "Solid Colors"
Global Const KEY_INI = "INI File Colors"
Global Const INI_FILENAME = "SPelling.INI"
'
' Default Color palette values
'
Global Const DEFAULT_COLORS_ROW1 = "16777215 14737632 12632319 12640511 14745599 12648384 16777152 16761024 16761087 00000192 00016576 00049344 00049152 12632064 12582912 12583104"
Global Const DEFAULT_COLORS_ROW2 = "12632256 04210752 08421631 08438015 08454143 08454016 16777088 16744576 16744703 00000128 00016512 00032896 00032768 08421376 08388608 08388736"
Global Const DEFAULT_COLORS_ROW3 = "08421504 00000000 00000255 00033023 00065535 00065280 16776960 16711680 16711935 00000064 04210816 00016448 00016384 04210688 04194304 04194368"
'
' Default value for ICONRECORD Filename field
'
Global Const UNTITLED = "[Untitled]"
'
' Viewer Menu Options
'
Global Const MID_EXIT = 5
'
' Help Menu ID's
'
Global Const MID_INDEX = 1
Global Const MID_KEYBOARD = 2
Global Const MID_COMMANDS = 3
Global Const MID_USING_HELP = 4
Global Const MID_ABOUT = 6
'
' Viewer and SaveFileDlg File Control values
'
Global Const FILE_NOT_FOUND = 53
Global Const FILENAME_CHANGED = 0
Global Const FILE_CHANGED = 1
Global Const DIR_CHANGED = 2
' Index's into the ColorPalettes' Scrl_RGB()
'
Global Const RED_ELEMENT = 0
Global Const GREEN_ELEMENT = 1
Global Const BLUE_ELEMENT = 2
'
' Miscellaneous
'
Global Const EGA_HEIGHT = 7000
Global Const HIGHLIGHT = 10
Global Const HID_DEFINING_COLORS = 1000
Global Const ICONWORKS_VIEWER = 1
'
' Viewer Global Variables
'
Global MinViewerWidth   As Integer
Global MinViewerHeight  As Integer
Global ShowingAllIcons  As Integer
Global SpellWords() As String
Global NumWords As Integer
'
' Miscelaneous
'
Global MainForm           As Integer
Global EditorLoaded       As Integer
Global ViewerLoaded       As Integer
Global VLastChanged       As Integer
Global SLastChanged       As Integer
Global Text               As String
Global CRLF               As String * 2
Global A_TAB              As String * 1


' CONSTANTS TAKEN FROM VB'S CONTANT.TXT FILE
'
' Booleans
Global Const TRUE = -1
Global Const FALSE = 0

' WindowState
Global Const MINIMIZED = 1

' Clipboard formats
Global Const CF_BITMAP = 2

' Show parameters
Global Const MODAL = 1
Global Const MODELESS = 0

' Colors
Global Const BLACK = &H0&
Global Const DARKBLUE = &H800000
Global Const DARKGREEN = &H8000&
Global Const DARKCYAN = &H808000
Global Const DARKRED = &H80&
Global Const DARKPURPLE = &H800080
Global Const DARKYELLOW = &H8080&
Global Const DARKGRAY = &H808080
Global Const GRAY = &HC0C0C0
Global Const BLUE = &HFF0000
Global Const GREEN = &HFF00&
Global Const CYAN = &HFFFF00
Global Const RED = &HFF&
Global Const PURPLE = &HFF00FF
Global Const YELLOW = &HFFFF&
Global Const WHITE = &HFFFFFF

' System Colors
Global Const WINDOW_BACKGROUND = &H80000005
Global Const WINDOW_TEXT = &H80000008

' MousePointer
Global Const DEFAULT = 0
Global Const CROSSHAIR = 2
Global Const SIZE = 5
Global Const UP_ARROW = 10
Global Const HOURGLASS = 11

' DrawMode Values
Global Const INVERSE = 6
Global Const COPY_PEN = 13

' DrawStyle property Values
Global Const SOLID = 0
Global Const DOT = 2

' FillStyle Values
Global Const TRANSPARENT = 1

' Key Codes
Global Const KEY_BACK = &H8
Global Const KEY_SHIFT = &H10
Global Const KEY_CONTROL = &H11
Global Const KEY_INSERT = &H2D
Global Const KEY_DELETE = &H2E
Global Const KEY_F1 = &H70
Global Const ENTER = 13

' Shift parameter masks
Global Const SHIFT_MASK = 1
Global Const CTRL_MASK = 2
Global Const ALT_MASK = 4

' Button parameter masks
Global Const LEFT_BUTTON = 1
Global Const RIGHT_BUTTON = 2

' ScaleModes
Global Const TWIPS = 1
Global Const PIXELS = 3

' MsgBox return values
Global Const MBYES = 6
Global Const MBNO = 7

